const HUYA = {}

HUYA.UserId = function()
{
    this.lUid = 0;
    this.sGuid = "";
    this.sToken = "";
    this.sHuYaUA = "";
    this.sCookie = "";
    this.iTokenType = 0;
};
HUYA.UserId.prototype._clone = function () { return new HUYA.UserId(); }
HUYA.UserId.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
HUYA.UserId.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

HUYA.UserId.prototype.writeTo = function (os)
{
    os.writeInt64(0, this.lUid);
    os.writeString(1, this.sGuid);
    os.writeString(2, this.sToken);
    os.writeString(3, this.sHuYaUA);
    os.writeString(4, this.sCookie);
    os.writeInt32(5, this.iTokenType);
};

HUYA.UserId.prototype.readFrom = function (is)
{
    this.lUid= is.readInt64(0, false, this.lUid);
    this.sGuid= is.readString(1, false, this.sGuid);
    this.sToken= is.readString(2, false, this.sToken);
    this.sHuYaUA= is.readString(3, false, this.sHuYaUA);
    this.sCookie= is.readString(4, false, this.sCookie);
    this.iTokenType= is.readInt32(5, false, this.iTokenType);
};

HUYA.BadgeNameReq = function()
{
    this.tUserId = new HUYA.UserId();
    this.lPid = 0;
    this.lToUid = 0;
};
HUYA.BadgeNameReq.prototype._clone = function () { return new HUYA.BadgeNameReq(); }
HUYA.BadgeNameReq.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
HUYA.BadgeNameReq.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

HUYA.BadgeNameReq.prototype.writeTo = function (os)
{
    os.writeStruct(0, this.tUserId);
    os.writeInt64(1, this.lPid);
    os.writeInt64(2, this.lToUid);
};

HUYA.BadgeNameReq.prototype.readFrom = function (is)
{
    this.tUserId= is.readStruct(0, false, this.tUserId);
    this.lPid= is.readInt64(1, false, this.lPid);
    this.lToUid= is.readInt64(2, false, this.lToUid);
};

HUYA.BadgeNameRsp = function()
{
    this.lPid = 0;
    this.sBadgeName = "";
    this.iBadgeType = 0;
    this.lBadgeId = 0;
};
HUYA.BadgeNameRsp.prototype._clone = function () { return new HUYA.BadgeNameRsp(); }
HUYA.BadgeNameRsp.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
HUYA.BadgeNameRsp.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

HUYA.BadgeNameRsp.prototype.writeTo = function (os)
{
    os.writeInt64(0, this.lPid);
    os.writeString(1, this.sBadgeName);
    os.writeInt32(2, this.iBadgeType);
    os.writeInt64(3, this.lBadgeId);
};

HUYA.BadgeNameRsp.prototype.readFrom = function (is)
{
    this.lPid= is.readInt64(0, false, this.lPid);
    this.sBadgeName= is.readString(1, false, this.sBadgeName);
    this.iBadgeType= is.readInt32(2, false, this.iBadgeType);
    this.lBadgeId= is.readInt64(3, false, this.lBadgeId);
};

HUYA.AttendeeCountNotice = function()
{
    this.iAttendeeCount = 0;
};
HUYA.AttendeeCountNotice.prototype._clone = function () { return new HUYA.AttendeeCountNotice(); }
HUYA.AttendeeCountNotice.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
HUYA.AttendeeCountNotice.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

HUYA.AttendeeCountNotice.prototype.writeTo = function (os)
{
    os.writeInt32(0, this.iAttendeeCount);
};

HUYA.AttendeeCountNotice.prototype.readFrom = function (is)
{
    this.iAttendeeCount= is.readInt32(0, false, this.iAttendeeCount);
};

HUYA.GetJWTReq = function()
{
    this.tId = new HUYA.UserId();
    this.appId = "";
    this.extUuid = "";
    this.pid = 0;
    this.roomId = 0;
};
HUYA.GetJWTReq.prototype._clone = function () { return new HUYA.GetJWTReq(); }
HUYA.GetJWTReq.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
HUYA.GetJWTReq.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

HUYA.GetJWTReq.prototype.writeTo = function (os)
{
    os.writeStruct(0, this.tId);
    os.writeString(1, this.appId);
    os.writeString(2, this.extUuid);
    os.writeInt64(3, this.pid);
    os.writeInt32(4, this.roomId);
};

HUYA.GetJWTReq.prototype.readFrom = function (is)
{
    this.tId= is.readStruct(0, false, this.tId);
    this.appId= is.readString(1, false, this.appId);
    this.extUuid= is.readString(2, false, this.extUuid);
    this.pid= is.readInt64(3, false, this.pid);
    this.roomId= is.readInt32(4, false, this.roomId);
};

HUYA.GetJWTResp = function()
{
    this.response = new ExtComm.ExtCommonResponse();
    this.jwt = "";
    this.expire = 0;
};
HUYA.GetJWTResp.prototype._clone = function () { return new HUYA.GetJWTResp(); }
HUYA.GetJWTResp.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
HUYA.GetJWTResp.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

HUYA.GetJWTResp.prototype.writeTo = function (os)
{
    os.writeStruct(0, this.response);
    os.writeString(1, this.jwt);
    os.writeInt32(2, this.expire);
};

HUYA.GetJWTResp.prototype.readFrom = function (is)
{
    this.response= is.readStruct(0, false, this.response);
    this.jwt= is.readString(1, false, this.jwt);
    this.expire= is.readInt32(2, false, this.expire);
};

var ExtComm = ExtComm || {};

ExtComm.ResCode = 
{
    success : 0,
    paramError : 1,
    fail : 2,
    unkown : 3,
    loginError : 4,
    authorizeError : 5,
    objNotFound : 6,
    objAlreadyExist : 7,
    limitUpload : 8
};

ExtComm.ExtCommonRequest = function()
{
    this.componentTag = "";
    this.jwt = "";
};
ExtComm.ExtCommonRequest.prototype._clone = function () { return new ExtComm.ExtCommonRequest(); }
ExtComm.ExtCommonRequest.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
ExtComm.ExtCommonRequest.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

ExtComm.ExtCommonRequest.prototype.writeTo = function (os)
{
    os.writeString(0, this.componentTag);
    os.writeString(1, this.jwt);
};

ExtComm.ExtCommonRequest.prototype.readFrom = function (is)
{
    this.componentTag= is.readString(0, false, this.componentTag);
    this.jwt= is.readString(1, false, this.jwt);
};

ExtComm.ExtCommonResponse = function()
{
    this.res = 0;
    this.msg = "";
};
ExtComm.ExtCommonResponse.prototype._clone = function () { return new ExtComm.ExtCommonResponse(); }
ExtComm.ExtCommonResponse.prototype._write = function (os, tag, value) { os.writeStruct(tag, value); }
ExtComm.ExtCommonResponse.prototype._read  = function (is, tag, def) { return is.readStruct(tag, true, def); }

ExtComm.ExtCommonResponse.prototype.writeTo = function (os)
{
    os.writeInt32(0, this.res);
    os.writeString(1, this.msg);
};

ExtComm.ExtCommonResponse.prototype.readFrom = function (is)
{
    this.res= is.readInt32(0, false, this.res);
    this.msg= is.readString(1, false, this.msg);
};

HUYA.ActivityMsgReq = function() {
    this.tUserId = new HUYA.UserId();
    this.iActivityId = 0;
    this.lPid = 0;
    this.lTid = 0;
    this.lSid = 0;
    this.iChannelType = 0;
    this.iSubUri = 0;
};
HUYA.ActivityMsgReq.prototype._clone = function() {
    return new HUYA.ActivityMsgReq();
}
HUYA.ActivityMsgReq.prototype._write = function(os, tag, value) {
    os.writeStruct(tag, value);
}
HUYA.ActivityMsgReq.prototype._read = function(is, tag, def) {
    return is.readStruct(tag, true, def);
}

HUYA.ActivityMsgReq.prototype.writeTo = function(os) {
    os.writeStruct(0, this.tUserId);
    os.writeInt32(1, this.iActivityId);
    os.writeInt64(2, this.lPid);
    os.writeInt64(3, this.lTid);
    os.writeInt64(4, this.lSid);
    os.writeInt32(5, this.iChannelType);
    os.writeInt32(6, this.iSubUri);
};

HUYA.ActivityMsgReq.prototype.readFrom = function(is) {
    this.tUserId = is.readStruct(0, false, this.tUserId);
    this.iActivityId = is.readInt32(1, false, this.iActivityId);
    this.lPid = is.readInt64(2, false, this.lPid);
    this.lTid = is.readInt64(3, false, this.lTid);
    this.lSid = is.readInt64(4, false, this.lSid);
    this.iChannelType = is.readInt32(5, false, this.iChannelType);
    this.iSubUri = is.readInt32(6, false, this.iSubUri);
};


HUYA.ActivitySerializedMsg = function() {
    this.iSubUri = 0;
    this.vContent = new Taf.BinBuffer();
};
HUYA.ActivitySerializedMsg.prototype._clone = function() {
    return new HUYA.ActivitySerializedMsg();
}
HUYA.ActivitySerializedMsg.prototype._write = function(os, tag, value) {
    os.writeStruct(tag, value);
}
HUYA.ActivitySerializedMsg.prototype._read = function(is, tag, def) {
    return is.readStruct(tag, true, def);
}

HUYA.ActivitySerializedMsg.prototype.writeTo = function(os) {
    os.writeInt32(0, this.iSubUri);
    os.writeBytes(1, this.vContent);
};

HUYA.ActivitySerializedMsg.prototype.readFrom = function(is) {
    this.iSubUri = is.readInt32(0, false, this.iSubUri);
    this.vContent = is.readBytes(1, false, this.vContent);
};

HUYA.ActivityMsgRsp = function() {
    this.iEnable = 0;
    this.vSerializedMsg = new Taf.Vector(new HUYA.ActivitySerializedMsg());
};
HUYA.ActivityMsgRsp.prototype._clone = function() {
    return new HUYA.ActivityMsgRsp();
}
HUYA.ActivityMsgRsp.prototype._write = function(os, tag, value) {
    os.writeStruct(tag, value);
}
HUYA.ActivityMsgRsp.prototype._read = function(is, tag, def) {
    return is.readStruct(tag, true, def);
}

HUYA.ActivityMsgRsp.prototype.writeTo = function(os) {
    os.writeInt32(0, this.iEnable);
    os.writeVector(1, this.vSerializedMsg);
};

HUYA.ActivityMsgRsp.prototype.readFrom = function(is) {
    this.iEnable = is.readInt32(0, false, this.iEnable);
    this.vSerializedMsg = is.readVector(1, false, this.vSerializedMsg);
};

export default HUYA
